## netkit-ftp 0.17

=== debian/changelog ===
netkit-ftp (0.17-34) unstable; urgency=low

  * Increase Standards to 3.9.8, no changes.
  * Increase hardening level.
  * [lintian] Silence complaints on ancient source archive.
    + debian/source/lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 06 Dec 2016 16:23:57 +0100

netkit-ftp (0.17-33) unstable; urgency=low

  * Interchange maintainer and uploader.
  * Bring in package changes from experimental to unstable.
  * debian/control: Increase Build-Depends to ">= 9" for debhelper.
  * debian/compat: Update.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 17:51:43 +0200

netkit-ftp (0.17-32) experimental; urgency=medium

  * Increase Standards to 3.9.6, no changes.
  * Extended use of the alternatives subsystem.
    + debian/postinst: Add slave links for "pftp", "pftp.1.gz",
      and "netrc.5.gz".
    + debian/rules: Deactivate soft links "pftp", "pftp.1", rename
      "netrc.5", and remove installed files.
  * [lintian] Insufficiently named copyright conditions.
    + debian/copyright: Correct "BSD" to "BSD-3-clause".

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 28 Dec 2014 00:05:02 +0100

netkit-ftp (0.17-31) unstable; urgency=medium

  * Syntax of hash command. (Closes: #754065)
    + debian/patches/070_hash_increments.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 18 Jul 2014 13:07:54 +0200

netkit-ftp (0.17-30) unstable; urgency=low

  * Repair internal command "tick": printing and size.
    + debian/patches/070_hash_increments.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 02 Jun 2014 22:06:17 +0200

netkit-ftp (0.17-29) unstable; urgency=low

  * Standards-Version: 3.9.5.
    + debian/rules: Add "build-arch", "build-indep".
  * Implement variable hash markings. (Closes: #731670)
    + debian/patches/070_hash_increments.diff: New file.
  * [lintian] debian/copyright: Comply with format version 1.0.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 17 May 2014 02:04:20 +0200

netkit-ftp (0.17-28) unstable; urgency=low

  * Patch from Colin Watson to fix cross-building. (Closes: #695007)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 03 Dec 2012 18:53:56 +0100

netkit-ftp (0.17-27) unstable; urgency=low

  * Support large files on 32-bit architectures:
    * Solution identified by Martin Hicks. (Closes: #671873)
    + debian/patches/060_full_offset_range.diff: New file.
  * debian/rules: Hardening via dpkg-buildflags.
  * debian/control: Standards 3.9.3, no changes.
    + Building now depends on dpkg-dev (>= 1.15.7).
  * Tiny description errors:
    + debian/patches/010_patches_in_sarge.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 23 May 2012 20:08:11 +0200

netkit-ftp (0.17-26) unstable; urgency=low

  * Support GNU/Hurd:
    + debian/patches/050_support_gnu_hurd.diff: New file.
  * Simplify dynamic linking:
    + debian/control: No build dependency on libncurses-dev.
    + debian/patches/052_no_termcap_linking.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 28 Mar 2012 01:29:24 +0200

netkit-ftp (0.17-25) unstable; urgency=low

  * Prevent SYST request in non-auto-login. (Closes: #611284)
    + debian/patches/043_tune_non_autologin.diff: New file.
    + debian/README.Debian: New file, commenting on this change.
  * Missing line break. (Closes: #630524)
    + debian/patches/040_ipv6_ftp_c.diff: Updated patch.
  * debian/control: Make description conform to policy.
  * debian/copyright: Apply versioned reference to format specs.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 18 Jun 2011 02:36:02 +0200

netkit-ftp (0.17-24) unstable; urgency=low

  * Standards version 3.9.2.
    + debian/copyright: Include explicit BSD license text.
  * Copyright reformulated based on DEP-5.
  * Code simplification in IPv6 extension patch.
    + debian/patches/040_ipv6_ftp_c.diff: Updated patch.
  * Implement user commands in executable.
    + debian/patches/041_user_address_commands.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 19 Apr 2011 22:47:52 +0200

netkit-ftp (0.17-23) unstable; urgency=low

  [Mats Erik Andersson]

  * Rework error recovery. (Closes: #582598)
    + 040_ipv6_ftp_c.diff: Updated file.
    + Avoid double free errors by freeing immediately at an intermediary error.
    + Conditional use of IP_TOS for GNU/kfreebsd.
  * debian/copyright: Explicit licensing for the IPv6 coding.
  * debian/rules: Added compiler flag '-fno-strict-aliasing'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 25 May 2010 23:50:59 +0200

netkit-ftp (0.17-22) unstable; urgency=low

  * Changes by Mats Erik Andersson.
    - Updated 040_ipv6_ftp_c.diff to fix double free error (Closes: #579532)
  * Added Mats to the Uploaders field.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 11 May 2010 12:01:39 +0200

netkit-ftp (0.17-21) unstable; urgency=low

  * Updated 040_ipv6_ftp_c.diff with Mats' latest patch

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Mar 2010 16:45:04 +0200

netkit-ftp (0.17-20) unstable; urgency=low

  * Changes by Mats Erik Andersson. Thanks for the HUGE patch!
    - Migrate to format "3.0 (quilt)".
    - debian/control: Adding ${misc:Depends} due to Debhelper.
    - debian/substvars: Deleted file.
    - debian/watch: New file.
    - Extract in-situ patches. Deposited in debian/patches/:
      + 010_patches_in_sarge.diff
      + 020_optional_stripping.diff
      + 025_long_cmd_overflow.diff
      + 030_argv_handling.diff
    - [lintian] New patch 035_lintian_pedantic.diff.
    - New patch for IPv6-capability: 040_ipv6_ftp_c.diff (Closes: #228752)
    - [lintian] maintainer-script-without-set-e: debian/{postinst,prerm}
  * Bumped Standards-Version to 3.8.4.0.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Mar 2010 16:19:20 +0200


