=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.9 2001/12/11 09:03:39 herbert Exp $
# Adapted for netkit-ftp.  Copyright 1999 by Herbert Xu.
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64

CFLAGS += $(shell dpkg-buildflags --get CFLAGS) -fPIE -pie
CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	if [ ! -f MCONFIG ]; then \
		./configure; \
		sed -e 's;^CFLAGS=\(.*\)$$;CFLAGS= -g $(DEFS) -fno-strict-aliasing $(CFLAGS) $(CPPFLAGS) \1;' \
		    -e 's;^LDFLAGS=\(.*\)$$;& $(LDFLAGS);' \
		    MCONFIG > MCONFIG.new; \
		mv MCONFIG.new MCONFIG; \
	fi
	$(MAKE) $(CROSS)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	[ ! -f MCONFIG ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) INSTALLROOT=`pwd`/debian/ftp MANDIR=/usr/share/man install
	mv debian/ftp/usr/bin/ftp debian/ftp/usr/bin/netkit-ftp
	#ln -sf netkit-ftp debian/ftp/usr/bin/pftp
	rm -f debian/ftp/usr/bin/pftp
	mv debian/ftp/usr/share/man/man1/ftp.1 \
	   debian/ftp/usr/share/man/man1/netkit-ftp.1
	#ln -sf netkit-ftp.1 debian/ftp/usr/share/man/man1/pftp.1
	rm -f debian/ftp/usr/share/man/man1/pftp.1
	mv debian/ftp/usr/share/man/man5/netrc.5 \
	   debian/ftp/usr/share/man/man5/netkit-netrc.5

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
